summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorhallgren <hallgren@chalmers.se>2014-06-17 13:56:59 +0000
committerhallgren <hallgren@chalmers.se>2014-06-17 13:56:59 +0000
commit1668eb17e5b14fa64cac069c53250aadb50d5e9b (patch)
treed64a9bc9fa26a91c7426459311f262f9c3b0f890 /bin
parentf435966bf3de272f1a50232b9f2cb1a2d12e3b61 (diff)
build-binary-dist.sh: updated to include the C runtime system in binary tarballs
Also moved it to the bin directory. Run it with 'bash bin/build-binary-dish.sh'.
Diffstat (limited to 'bin')
-rw-r--r--bin/build-binary-dist.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/bin/build-binary-dist.sh b/bin/build-binary-dist.sh
new file mode 100644
index 000000000..8a018a6f3
--- /dev/null
+++ b/bin/build-binary-dist.sh
@@ -0,0 +1,36 @@
+#! /bin/bash
+
+### This script builds a binary distribution tarball of GF from the source
+### package that this script is a part of. It assumes that you have installed
+### the Haskell Platform, version 2013.2.0.0 or 2012.4.0.0.
+
+os=$(uname) # Operating system name (e.g. Darwin or Linux)
+hw=$(uname -m) # Hardware name (e.g. i686 or x86_64)
+
+# GF version number:
+ver=$(grep -i ^version: gf.cabal | sed -e 's/version://' -e 's/ //g')
+
+destdir=/tmp/gf-binary-dist-$$ # assemble binary dist here
+prefix=/usr/local # where to install
+targz=gf-$ver-bin-$hw-$os.tar.gz # the final tar file
+
+set -e # Stop if an error occurs
+set -x # print commands before exuting them
+
+## First configure & build the C run-time system
+(
+cd src/runtime/c
+bash setup.sh configure --prefix=$prefix
+bash setup.sh build
+bash setup.sh install prefix=$destdir$prefix
+)
+
+## Now build GF, with C run-time support enabled
+cabal install --only-dependencies
+cabal configure --prefix=$prefix -fserver -fc-runtime --extra-lib-dirs=$destdir$prefix/lib --extra-include-dirs=$destdir$prefix/include
+cabal build
+cabal copy --destdir=$destdir
+
+tar -C $destdir/$prefix -zcf $targz .
+echo "Created $targz, consider renaming it to something more user friendly"
+rm -r $destdir